#search-bar {
  grid-column: 2/3;
  grid-row: 1/2;
  display: flex;
  justify-content: flex-end;
  font-size: 14px;
  border-radius: 2px 0 0 2px;

  @include tablet {
    grid-column: 1/3;
    height: 100%;
    margin-top: auto;
    color: $white;
    background-color: $second;
    border-radius: 2px;
    box-shadow: 0 3px 3px $gray;
  }

  .search-bar-mobile-menu {
    margin-top: 20px;
    margin-right: auto;
    cursor: pointer;

    svg {
      width: 45px;
      height: 45px;

      path {
        fill: $second;
      }
    }

    @include tablet {
      display: none;
    }
  }

  .control {
    display: none;

    @include tablet {
      display: flex;
      align-items: center;
      height: 100%;
      padding: 0 20px;

      svg {
        cursor: pointer;
        color: $white;
      }

      &.mobile {
        display: none;
      }

      &.search {

        svg {
          width: 20px;
          height: 20px;
          margin-top: 5px;
        }

        input {
          padding: 2px 3px;
          color: $white;
          font-size: 15px;
          background-color: $second;
          border-top: none;
          border-left: none;
          border-bottom: 1px solid $white;
          border-right: none;

          &:focus {
            box-shadow: none;
            outline: none;
          }
        }
      }

      &.price {

        svg {
          width: 20px;
          height: 100%;
          padding: 0 3px;
          margin: 0;
        }
      }

      &.discount {

        p {
          margin-left: 15px;
          cursor: pointer;
        }
      }
    }
  }

  &.toggle-mobile {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%;
    max-width: 350px;
    min-width: 280px;
    height: 100vh;
    font-size: 16px;
    background-color: $first;
    overflow: hidden;
    animation: 250ms ease animate;

    @keyframes animate {
      0% {
        opacity: 0;
      }
      100% {
        opacity: 1;
      }
    }

    .search-bar-mobile-menu {
      margin: 25px 20px 0 auto;
    }

    .control {
      display: flex;
      padding: 20px;

      svg {
        color: $second;
        cursor: pointer;
      }

      &.search {
        position: relative;
        margin-top: 30px;
        background-color: $second;

        svg {
          position: absolute;
          width: 20px;
          height: 20px;
          margin-top: 5px;
          color: $white;
        }

        input {
          width: 80%;
          padding: 5px 0 5px 25px;
          color: $white;
          font-size: 18px;
          background-color: $second;
          border-top: none;
          border-left: none;
          border-bottom: 1px solid $white;
          border-right: none;
        }
      }

      &.price {
        display: none;

        &.mobile {
          display: block;
          margin-top: 20px;

          p {
            margin-bottom: 10px;
            cursor: pointer;
          }
        }
      }

      &.discount {
        flex-direction: column;

        p {
          margin-bottom: 10px;
          margin-left: 0;
          cursor: pointer;
        }
      }

      &.family {
        display: flex;

        ul {
          width: 100%;

          li {
            list-style: none;
            display: flex;
            align-items: center;
            padding: 3px 0;
            margin-bottom: 5px;
            cursor: pointer;

            svg {
              width: 20px;
              height: 20px;
              margin-left: auto;
            }
          }
        }
      }
    }
  }
}
